InsertCells = function()
--------------------------------------------------------------------------------------------------------------------------------------
	MapTopLeft = Map.TopLeft
	MapBottomRight = Map.BottomRight
--------------------------------------------------------------------------------------------------------------------------------------
	MapTopRight = CPos.New(MapBottomRight.Y, 0)
	MapBottomLeft = CPos.New(MapBottomRight.X, 0)
--------------------------------------------------------------------------------------------------------------------------------------
	CameraWidth = 14
	CameraHeight = 14
--------------------------------------------------------------------------------------------------------------------------------------
	TLx = MapTopLeft.X
	TLy = MapTopLeft.Y
--------------------------------------------------------------------------------------------------------------------------------------
	TLSlipx = MapTopLeft.X + 6
	TLSlipy = MapTopLeft.Y + 6
--------------------------------------------------------------------------------------------------------------------------------------
	BRx = MapBottomRight.X
	BRy = MapBottomRight.Y
--------------------------------------------------------------------------------------------------------------------------------------
	BRSlipx = MapBottomRight.X - 6
	BRSlipy = MapBottomRight.Y - 6
--------------------------------------------------------------------------------------------------------------------------------------
	MapTopLeftCPos = CPos.New(TLx, TLy)
	MapBottomRightCPos = CPos.New(BRx, BRy)
--------------------------------------------------------------------------------------------------------------------------------------
	MapTopLeftSlipCPos = CPos.New(TLSlipx, TLSlipy)
	MapBottomRightSlipCPos = CPos.New(BRSlipx, BRSlipy)
--------------------------------------------------------------------------------------------------------------------------------------
end
RandomWaypointsTick = function()
--------------------------------------------------------------------------------------------------------------------------------------
	if DateTime.GameTime > 1 then
--------------------------------------------------------------------------------------------------------------------------------------
		CarryallPaths =
		{
			{ Map.RandomEdgeCell(), Utils.Random({ RandomWaypoint0, RandomWaypoint1, RandomWaypoint2, RandomWaypoint3, RandomWaypoint4, RandomWaypoint5, RandomWaypoint6, RandomWaypoint7, RandomWaypoint8, RandomWaypoint9, RandomWaypoint10, RandomWaypoint11 }).Location },
			{ Map.RandomEdgeCell(), Utils.Random({ RandomWaypoint0, RandomWaypoint1, RandomWaypoint2, RandomWaypoint3, RandomWaypoint4, RandomWaypoint5, RandomWaypoint6, RandomWaypoint7, RandomWaypoint8, RandomWaypoint9, RandomWaypoint10, RandomWaypoint11 }).Location }
		}
----------------------------------------------------------------------------------------------------------------------------------------------
		CarryallVehiclePaths =
		{
			{ Utils.Random({ RandomEdgeWaypoint0.Location, RandomEdgeWaypoint1.Location, RandomEdgeWaypoint2.Location, RandomEdgeWaypoint3.Location, RandomEdgeWaypoint4.Location, RandomEdgeWaypoint5.Location, RandomEdgeWaypoint6.Location, RandomEdgeWaypoint7.Location, RandomEdgeWaypoint8.Location }), Utils.Random({ RandomWaypoint0.Location, RandomWaypoint1.Location, RandomWaypoint2.Location, RandomWaypoint3.Location, RandomWaypoint4.Location, RandomWaypoint5.Location, RandomWaypoint6.Location, RandomWaypoint7.Location, RandomWaypoint8.Location, RandomWaypoint9.Location, RandomWaypoint10.Location, RandomWaypoint11.Location }) },
			{ Utils.Random({ RandomEdgeWaypoint0.Location, RandomEdgeWaypoint1.Location, RandomEdgeWaypoint2.Location, RandomEdgeWaypoint3.Location, RandomEdgeWaypoint4.Location, RandomEdgeWaypoint5.Location, RandomEdgeWaypoint6.Location, RandomEdgeWaypoint7.Location, RandomEdgeWaypoint8.Location }), Utils.Random({ RandomWaypoint0.Location, RandomWaypoint1.Location, RandomWaypoint2.Location, RandomWaypoint3.Location, RandomWaypoint4.Location, RandomWaypoint5.Location, RandomWaypoint6.Location, RandomWaypoint7.Location, RandomWaypoint8.Location, RandomWaypoint9.Location, RandomWaypoint10.Location, RandomWaypoint11.Location }) },
			{ Utils.Random({ RandomEdgeWaypoint0.Location, RandomEdgeWaypoint1.Location, RandomEdgeWaypoint2.Location, RandomEdgeWaypoint3.Location, RandomEdgeWaypoint4.Location, RandomEdgeWaypoint5.Location, RandomEdgeWaypoint6.Location, RandomEdgeWaypoint7.Location, RandomEdgeWaypoint8.Location }), Utils.Random({ RandomWaypoint0.Location, RandomWaypoint1.Location, RandomWaypoint2.Location, RandomWaypoint3.Location, RandomWaypoint4.Location, RandomWaypoint5.Location, RandomWaypoint6.Location, RandomWaypoint7.Location, RandomWaypoint8.Location, RandomWaypoint9.Location, RandomWaypoint10.Location, RandomWaypoint11.Location }) },
			{ Utils.Random({ RandomEdgeWaypoint0.Location, RandomEdgeWaypoint1.Location, RandomEdgeWaypoint2.Location, RandomEdgeWaypoint3.Location, RandomEdgeWaypoint4.Location, RandomEdgeWaypoint5.Location, RandomEdgeWaypoint6.Location, RandomEdgeWaypoint7.Location, RandomEdgeWaypoint8.Location }), Utils.Random({ RandomWaypoint0.Location, RandomWaypoint1.Location, RandomWaypoint2.Location, RandomWaypoint3.Location, RandomWaypoint4.Location, RandomWaypoint5.Location, RandomWaypoint6.Location, RandomWaypoint7.Location, RandomWaypoint8.Location, RandomWaypoint9.Location, RandomWaypoint10.Location, RandomWaypoint11.Location }) }
		}
--------------------------------------------------------------------------------------------------------------------------------------
		RandomWaypoints = Utils.Random({ RandomWaypoint0.Location, RandomWaypoint1.Location, RandomWaypoint2.Location, RandomWaypoint3.Location, RandomWaypoint4.Location, RandomWaypoint5.Location, RandomWaypoint6.Location, RandomWaypoint7.Location, RandomWaypoint8.Location, RandomWaypoint9.Location, RandomWaypoint10.Location, RandomWaypoint11.Location })
-------------------------------------------------------------------
		RandomBeachWaypoints = Utils.Random({ RandomBeachWaypoint0.Location, RandomBeachWaypoint1.Location, RandomBeachWaypoint2.Location, RandomBeachWaypoint3.Location, RandomBeachWaypoint4.Location, RandomBeachWaypoint5.Location, RandomBeachWaypoint6.Location, RandomBeachWaypoint7.Location, RandomBeachWaypoint8.Location })
-------------------------------------------------------------------
		RandomEdgeWaterWaypoints = Utils.Random({ RandomEdgeWaterWaypoint0.Location, RandomEdgeWaterWaypoint1.Location, RandomEdgeWaterWaypoint2.Location, RandomEdgeWaterWaypoint3.Location, RandomEdgeWaterWaypoint4.Location, RandomEdgeWaterWaypoint5.Location, RandomEdgeWaterWaypoint6.Location, RandomEdgeWaterWaypoint7.Location, RandomEdgeWaterWaypoint8.Location })
-------------------------------------------------------------------
		RandomEdgeWaypoints = Utils.Random({ RandomEdgeWaypoint0.Location, RandomEdgeWaypoint1.Location, RandomEdgeWaypoint2.Location, RandomEdgeWaypoint3.Location, RandomEdgeWaypoint4.Location, RandomEdgeWaypoint5.Location, RandomEdgeWaypoint6.Location, RandomEdgeWaypoint7.Location, RandomEdgeWaypoint8.Location })
-------------------------------------------------------------------
		RandomLandWaypoints = Utils.Random({ RandomLandWaypoint00.Location, RandomLandWaypoint01.Location, RandomLandWaypoint02.Location, RandomLandWaypoint03.Location, RandomLandWaypoint04.Location, RandomLandWaypoint05.Location, RandomLandWaypoint06.Location, RandomLandWaypoint07.Location, RandomLandWaypoint08.Location, RandomLandWaypoint09.Location, RandomLandWaypoint10.Location, RandomLandWaypoint11.Location })
--------------------------------------------------------------------------------------------------------------------------------------
		RandomLandEdgeWaypoints = Utils.Random({ RandomEdgeLandWaypoint.Location, RandomEdgeLandWaypoint00.Location, RandomEdgeLandWaypoint01.Location, RandomEdgeLandWaypoint02.Location, RandomEdgeLandWaypoint03.Location, RandomEdgeLandWaypoint04.Location, RandomEdgeLandWaypoint05.Location, RandomEdgeLandWaypoint06.Location })
--------------------------------------------------------------------------------------------------------------------------------------
		RandomRoadEdgeWaypoints = Utils.Random({ RandomEdgeRoadWaypoint.Location, RandomEdgeRoadWaypoint01.Location, RandomEdgeRoadWaypoint02.Location, RandomEdgeRoadWaypoint03.Location, RandomEdgeRoadWaypoint04.Location, RandomEdgeRoadWaypoint05.Location, RandomEdgeRoadWaypoint06.Location, RandomEdgeRoadWaypoint07.Location })
--------------------------------------------------------------------------------------------------------------------------------------
		RandomCruiserWaypoints = Utils.Random({ CruiserPoint0.Location, CruiserPoint1.Location, CruiserPoint2.Location, CruiserPoint3.Location, CruiserPoint4.Location, CruiserPoint5.Location, CruiserPoint6.Location, CruiserPoint7.Location, CruiserPoint8.Location, CruiserPoint9.Location })
--------------------------------------------------------------------------------------------------------------------------------------
	end
	Trigger.AfterDelay(1, function() RandomWaypointsTick() end)
--------------------------------------------------------------------------------------------------------------------------------------
end
InsertWaypointsCreators = function()
--------------------------------------------------------------------------------------------------------------------------------------
	Trigger.AfterDelay(0, function() RandomWaypointsTick() end)
--------------------------------------------------------------------------------------------------------------------------------------
	Trigger.AfterDelay(0, function() InsertCells() end)
-------------------------------------------------------------------
	InsertGiantAntQueenWaypoint()
-------------------------------------------------------------------
	CreateRandomWaypoint0()
	CreateRandomWaypoint1()
	CreateRandomWaypoint2()
	CreateRandomWaypoint3()
	CreateRandomWaypoint4()
	CreateRandomWaypoint5()
	CreateRandomWaypoint6()
	CreateRandomWaypoint7()
	CreateRandomWaypoint8()
	CreateRandomWaypoint9()
	CreateRandomWaypoint10()
	CreateRandomWaypoint11()
--------------------------------------------------------------------------------------------------------------------------------------
	CreateRandomEdgeRoadWaypoint00()
	CreateRandomEdgeRoadWaypoint01()
	CreateRandomEdgeRoadWaypoint02()
	CreateRandomEdgeRoadWaypoint03()
	CreateRandomEdgeRoadWaypoint04()
	CreateRandomEdgeRoadWaypoint05()
	CreateRandomEdgeRoadWaypoint06()
	CreateRandomEdgeRoadWaypoint07()
--------------------------------------------------------------------------------------------------------------------------------------
	CreateRandomBeachWaypoint0()
	CreateRandomBeachWaypoint1()
	CreateRandomBeachWaypoint2()
	CreateRandomBeachWaypoint3()
	CreateRandomBeachWaypoint4()
	CreateRandomBeachWaypoint5()
	CreateRandomBeachWaypoint6()
	CreateRandomBeachWaypoint7()
	CreateRandomBeachWaypoint8()
--------------------------------------------------------------------------------------------------------------------------------------
	CreateRandomEdgeWaterWaypoint0()
	CreateRandomEdgeWaterWaypoint1()
	CreateRandomEdgeWaterWaypoint2()
	CreateRandomEdgeWaterWaypoint3()
	CreateRandomEdgeWaterWaypoint4()
	CreateRandomEdgeWaterWaypoint5()
	CreateRandomEdgeWaterWaypoint6()
	CreateRandomEdgeWaterWaypoint7()
	CreateRandomEdgeWaterWaypoint8()
--------------------------------------------------------------------------------------------------------------------------------------
	CreateRandomLandWaypoint00()
	CreateRandomLandWaypoint01()
	CreateRandomLandWaypoint02()
	CreateRandomLandWaypoint03()
	CreateRandomLandWaypoint04()
	CreateRandomLandWaypoint05()
	CreateRandomLandWaypoint06()
	CreateRandomLandWaypoint07()
	CreateRandomLandWaypoint08()
	CreateRandomLandWaypoint09()
	CreateRandomLandWaypoint10()
	CreateRandomLandWaypoint11()
	CreateRandomLandWaypoint12()
	CreateRandomLandWaypoint13()
	CreateRandomLandWaypoint14()
	CreateRandomLandWaypoint15()
	CreateRandomLandWaypoint16()
	CreateRandomLandWaypoint17()
--------------------------------------------------------------------------------------------------------------------------------------
	CreateRandomEdgeLandWaypoint()
--------------------------------------------------------------------------------------------------------------------------------------
	CreateRandomEdgeLandWaypoint00()
	CreateRandomEdgeLandWaypoint01()
	CreateRandomEdgeLandWaypoint02()
	CreateRandomEdgeLandWaypoint03()
	CreateRandomEdgeLandWaypoint04()
	CreateRandomEdgeLandWaypoint05()
	CreateRandomEdgeLandWaypoint06()
--------------------------------------------------------------------------------------------------------------------------------------
	CreateCruiserPoint0()
	CreateCruiserPoint1()
	CreateCruiserPoint2()
	CreateCruiserPoint3()
	CreateCruiserPoint4()
	CreateCruiserPoint5()
	CreateCruiserPoint6()
	CreateCruiserPoint7()
	CreateCruiserPoint8()
	CreateCruiserPoint9()
--------------------------------------------------------------------------------------------------------------------------------------
	RandomEdgeWaypoint0 = Actor.Create("waypoint", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	RandomEdgeWaypoint1 = Actor.Create("waypoint", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	RandomEdgeWaypoint2 = Actor.Create("waypoint", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	RandomEdgeWaypoint3 = Actor.Create("waypoint", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	RandomEdgeWaypoint4 = Actor.Create("waypoint", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	RandomEdgeWaypoint5 = Actor.Create("waypoint", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	RandomEdgeWaypoint6 = Actor.Create("waypoint", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	RandomEdgeWaypoint7 = Actor.Create("waypoint", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	RandomEdgeWaypoint8 = Actor.Create("waypoint", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
--------------------------------------------------------------------------------------------------------------------------------------
	MidleWaypoint = Actor.Create("waypoint", true, { Owner = clearpoint, Location = CPos.New(MapEdgeOverHorizontical / 2, MapEdgeOverVertical / 2) })
--------------------------------------------------------------------------------------------------------------------------------------
	MultiSpawnTypePoint0 = Actor.Create("mpspawn.0", true, { Owner = clearpoint, Location = MultiSpawnPoint0.Location + CVec.New(Utils.RandomInteger(1, 2), Utils.RandomInteger(1, 2)) })
	MultiSpawnTypePoint1 = Actor.Create("mpspawn.1", true, { Owner = clearpoint, Location = MultiSpawnPoint1.Location + CVec.New(Utils.RandomInteger(-2, -1), Utils.RandomInteger(1, 2)) })
	MultiSpawnTypePoint2 = Actor.Create("mpspawn.2", true, { Owner = clearpoint, Location = MultiSpawnPoint2.Location + CVec.New(Utils.RandomInteger(1, 2), Utils.RandomInteger(-2, -1)) })
	MultiSpawnTypePoint3 = Actor.Create("mpspawn.3", true, { Owner = clearpoint, Location = MultiSpawnPoint3.Location + CVec.New(Utils.RandomInteger(-1, -2), Utils.RandomInteger(-1, -2)) })
--------------------------------------------------------------------------------------------------------------------------------------
	MultiWayPoint0 = Actor.Create("waypoint", true, { Owner = clearpoint, Location = MultiSpawnPoint0.Location })
	MultiWayPoint1 = Actor.Create("waypoint", true, { Owner = clearpoint, Location = MultiSpawnPoint1.Location })
	MultiWayPoint2 = Actor.Create("waypoint", true, { Owner = clearpoint, Location = MultiSpawnPoint2.Location })
	MultiWayPoint3 = Actor.Create("waypoint", true, { Owner = clearpoint, Location = MultiSpawnPoint3.Location })
--------------------------------------------------------------------------------------------------------------------------------------
end
--------------------------------------------------------------------------------------------------------------------------------------
InsertGiantAntQueenWaypoint = function()
	GiantAntQueenWaypoint = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = CPos.New(Utils.Random({ Utils.RandomInteger(MapSlippedEdgeStartHorizontical + 10, MapSlippedEdgeOverHorizontical - 10), Utils.RandomInteger(MapSlippedEdgeStartVertical + 10, MapSlippedEdgeOverVertical - 10) }), Utils.Random({ Utils.RandomInteger(MapSlippedEdgeStartHorizontical + 15, MapSlippedEdgeOverHorizontical - 15), Utils.RandomInteger(MapSlippedEdgeStartVertical + 15, MapSlippedEdgeOverVertical - 15) })) })
	Trigger.OnRemovedFromWorld(GiantAntQueenWaypoint, function()
		InsertGiantAntQueenWaypoint()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomWaypoint0 = function()
	RandomWaypoint0 = Actor.Create("waypoint.road", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomWaypoint0, function()
		CreateRandomWaypoint0()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomWaypoint1 = function()
	RandomWaypoint1 = Actor.Create("waypoint.road", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomWaypoint1, function()
		CreateRandomWaypoint1()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomWaypoint2 = function()
	RandomWaypoint2 = Actor.Create("waypoint.road", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomWaypoint2, function()
		CreateRandomWaypoint2()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------

CreateRandomWaypoint3 = function()
	RandomWaypoint3 = Actor.Create("waypoint.road", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomWaypoint3, function()
		CreateRandomWaypoint3()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomWaypoint4 = function()
	RandomWaypoint4 = Actor.Create("waypoint.road", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomWaypoint4, function()
		CreateRandomWaypoint4()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomWaypoint5 = function()
	RandomWaypoint5 = Actor.Create("waypoint.road", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomWaypoint5, function()
		CreateRandomWaypoint5()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomWaypoint6 = function()
	RandomWaypoint6 = Actor.Create("waypoint.road", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomWaypoint6, function()
		CreateRandomWaypoint6()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomWaypoint7 = function()
	RandomWaypoint7 = Actor.Create("waypoint.road", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomWaypoint7, function()
		CreateRandomWaypoint7()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomWaypoint8 = function()
	RandomWaypoint8 = Actor.Create("waypoint.road", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomWaypoint8, function()
		CreateRandomWaypoint8()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomWaypoint9 = function()
	RandomWaypoint9 = Actor.Create("waypoint.road", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomWaypoint9, function()
		CreateRandomWaypoint9()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomWaypoint10 = function()
	RandomWaypoint10 = Actor.Create("waypoint.road", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomWaypoint10, function()
		CreateRandomWaypoint10()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomWaypoint11 = function()
	RandomWaypoint11 = Actor.Create("waypoint.road", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomWaypoint11, function()
		CreateRandomWaypoint11()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomEdgeRoadWaypoint00 = function()
	RandomEdgeRoadWaypoint = Actor.Create("waypoint.road", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeRoadWaypoint, function()
		CreateRandomEdgeRoadWaypoint00()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomEdgeRoadWaypoint01 = function()
	RandomEdgeRoadWaypoint01 = Actor.Create("waypoint.road", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeRoadWaypoint01, function()
		CreateRandomEdgeRoadWaypoint01()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomEdgeRoadWaypoint02 = function()
	RandomEdgeRoadWaypoint02 = Actor.Create("waypoint.road", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeRoadWaypoint02, function()
		CreateRandomEdgeRoadWaypoint02()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomEdgeRoadWaypoint03 = function()
	RandomEdgeRoadWaypoint03 = Actor.Create("waypoint.road", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeRoadWaypoint03, function()
		CreateRandomEdgeRoadWaypoint03()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomEdgeRoadWaypoint04 = function()
	RandomEdgeRoadWaypoint04 = Actor.Create("waypoint.road", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeRoadWaypoint04, function()
		CreateRandomEdgeRoadWaypoint04()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomEdgeRoadWaypoint05 = function()
	RandomEdgeRoadWaypoint05 = Actor.Create("waypoint.road", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeRoadWaypoint05, function()
		CreateRandomEdgeRoadWaypoint05()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomEdgeRoadWaypoint06 = function()
	RandomEdgeRoadWaypoint06 = Actor.Create("waypoint.road", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeRoadWaypoint06, function()
		CreateRandomEdgeRoadWaypoint06()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomEdgeRoadWaypoint07 = function()
	RandomEdgeRoadWaypoint07 = Actor.Create("waypoint.road", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeRoadWaypoint07, function()
		CreateRandomEdgeRoadWaypoint07()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomLandWaypoint00 = function()
	RandomLandWaypoint00 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomLandWaypoint00, function()
		CreateRandomLandWaypoint00()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomLandWaypoint01 = function()
	RandomLandWaypoint01 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomLandWaypoint01, function()
		CreateRandomLandWaypoint01()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomLandWaypoint02 = function()
	RandomLandWaypoint02 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomLandWaypoint02, function()
		CreateRandomLandWaypoint02()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomLandWaypoint03 = function()
	RandomLandWaypoint03 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomLandWaypoint03, function()
		CreateRandomLandWaypoint03()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomLandWaypoint04 = function()
	RandomLandWaypoint04 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomLandWaypoint04, function()
		CreateRandomLandWaypoint04()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomLandWaypoint05 = function()
	RandomLandWaypoint05 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomLandWaypoint05, function()
		CreateRandomLandWaypoint05()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomLandWaypoint06 = function()
	RandomLandWaypoint06 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomLandWaypoint06, function()
		CreateRandomLandWaypoint06()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomLandWaypoint07 = function()
	RandomLandWaypoint07 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomLandWaypoint07, function()
		CreateRandomLandWaypoint07()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomLandWaypoint07 = function()
	RandomLandWaypoint07 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomLandWaypoint07, function()
		CreateRandomLandWaypoint07()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomLandWaypoint08 = function()
	RandomLandWaypoint08 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomLandWaypoint08, function()
		CreateRandomLandWaypoint08()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomLandWaypoint09 = function()
	RandomLandWaypoint09 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomLandWaypoint09, function()
		CreateRandomLandWaypoint09()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomLandWaypoint10 = function()
	RandomLandWaypoint10 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomLandWaypoint10, function()
		CreateRandomLandWaypoint10()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomLandWaypoint11 = function()
	RandomLandWaypoint11 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomLandWaypoint11, function()
		CreateRandomLandWaypoint11()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomLandWaypoint12 = function()
	RandomLandWaypoint12 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomLandWaypoint12, function()
		CreateRandomLandWaypoint12()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomLandWaypoint13 = function()
	RandomLandWaypoint13 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomLandWaypoint13, function()
		CreateRandomLandWaypoint13()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomLandWaypoint14 = function()
	RandomLandWaypoint14 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomLandWaypoint14, function()
		CreateRandomLandWaypoint14()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomLandWaypoint15 = function()
	RandomLandWaypoint15 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomLandWaypoint15, function()
		CreateRandomLandWaypoint15()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomLandWaypoint16 = function()
	RandomLandWaypoint16 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomLandWaypoint16, function()
		CreateRandomLandWaypoint16()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomLandWaypoint17 = function()
	RandomLandWaypoint17 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomLandWaypoint17, function()
		CreateRandomLandWaypoint17()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomEdgeLandWaypoint = function()
	RandomEdgeLandWaypoint = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeLandWaypoint, function()
		CreateRandomEdgeLandWaypoint()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomEdgeLandWaypoint00 = function()
	RandomEdgeLandWaypoint00 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeLandWaypoint00, function()
		CreateRandomEdgeLandWaypoint00()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomEdgeLandWaypoint01 = function()
	RandomEdgeLandWaypoint01 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeLandWaypoint01, function()
		CreateRandomEdgeLandWaypoint01()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomEdgeLandWaypoint02 = function()
	RandomEdgeLandWaypoint02 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeLandWaypoint02, function()
		CreateRandomEdgeLandWaypoint02()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomEdgeLandWaypoint03 = function()
	RandomEdgeLandWaypoint03 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeLandWaypoint03, function()
		CreateRandomEdgeLandWaypoint03()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomEdgeLandWaypoint04 = function()
	RandomEdgeLandWaypoint04 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeLandWaypoint04, function()
		CreateRandomEdgeLandWaypoint04()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomEdgeLandWaypoint05 = function()
	RandomEdgeLandWaypoint05 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeLandWaypoint05, function()
		CreateRandomEdgeLandWaypoint05()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomEdgeLandWaypoint06 = function()
	RandomEdgeLandWaypoint06 = Actor.Create("waypoint.land", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeLandWaypoint06, function()
		CreateRandomEdgeLandWaypoint06()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomBeachWaypoint0 = function()
	RandomBeachWaypoint0 = Actor.Create("waypoint.beach", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomBeachWaypoint0, function()
		CreateRandomBeachWaypoint0()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomBeachWaypoint1 = function()
	RandomBeachWaypoint1 = Actor.Create("waypoint.beach", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomBeachWaypoint1, function()
		CreateRandomBeachWaypoint1()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomBeachWaypoint2 = function()
	RandomBeachWaypoint2 = Actor.Create("waypoint.beach", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomBeachWaypoint2, function()
		CreateRandomBeachWaypoint2()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomBeachWaypoint3 = function()
	RandomBeachWaypoint3 = Actor.Create("waypoint.beach", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomBeachWaypoint3, function()
		CreateRandomBeachWaypoint3()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomBeachWaypoint4 = function()
	RandomBeachWaypoint4 = Actor.Create("waypoint.beach", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomBeachWaypoint4, function()
		CreateRandomBeachWaypoint4()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomBeachWaypoint5 = function()
	RandomBeachWaypoint5 = Actor.Create("waypoint.beach", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomBeachWaypoint5, function()
		CreateRandomBeachWaypoint5()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomBeachWaypoint6 = function()
	RandomBeachWaypoint6 = Actor.Create("waypoint.beach", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomBeachWaypoint6, function()
		CreateRandomBeachWaypoint6()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomBeachWaypoint7 = function()
	RandomBeachWaypoint7 = Actor.Create("waypoint.beach", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomBeachWaypoint7, function()
		CreateRandomBeachWaypoint7()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomBeachWaypoint8 = function()
	RandomBeachWaypoint8 = Actor.Create("waypoint.beach", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(RandomBeachWaypoint8, function()
		CreateRandomBeachWaypoint8()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomEdgeWaterWaypoint0 = function()
	RandomEdgeWaterWaypoint0 = Actor.Create("waypoint.water", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeWaterWaypoint0, function()
		CreateRandomEdgeWaterWaypoint0()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomEdgeWaterWaypoint1 = function()
	RandomEdgeWaterWaypoint1 = Actor.Create("waypoint.water", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeWaterWaypoint1, function()
		CreateRandomEdgeWaterWaypoint1()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomEdgeWaterWaypoint2 = function()
	RandomEdgeWaterWaypoint2 = Actor.Create("waypoint.water", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeWaterWaypoint2, function()
		CreateRandomEdgeWaterWaypoint2()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomEdgeWaterWaypoint3 = function()
	RandomEdgeWaterWaypoint3 = Actor.Create("waypoint.water", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeWaterWaypoint3, function()
		CreateRandomEdgeWaterWaypoint3()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomEdgeWaterWaypoint4 = function()
	RandomEdgeWaterWaypoint4 = Actor.Create("waypoint.water", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeWaterWaypoint4, function()
		CreateRandomEdgeWaterWaypoint4()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomEdgeWaterWaypoint5 = function()
	RandomEdgeWaterWaypoint5 = Actor.Create("waypoint.water", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeWaterWaypoint5, function()
		CreateRandomEdgeWaterWaypoint5()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomEdgeWaterWaypoint6 = function()
	RandomEdgeWaterWaypoint6 = Actor.Create("waypoint.water", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeWaterWaypoint6, function()
		CreateRandomEdgeWaterWaypoint6()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------

CreateRandomEdgeWaterWaypoint7 = function()
	RandomEdgeWaterWaypoint7 = Actor.Create("waypoint.water", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeWaterWaypoint7, function()
		CreateRandomEdgeWaterWaypoint7()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateRandomEdgeWaterWaypoint8 = function()
	RandomEdgeWaterWaypoint8 = Actor.Create("waypoint.water", true, { Owner = clearpoint, Location = Map.RandomEdgeCell() })
	Trigger.OnRemovedFromWorld(RandomEdgeWaterWaypoint8, function()
		CreateRandomEdgeWaterWaypoint8()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateCruiserPoint0 = function()
	CruiserPoint0 = Actor.Create("waypoint.water", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(CruiserPoint0, function()
		CreateCruiserPoint0()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateCruiserPoint1 = function()
	CruiserPoint1 = Actor.Create("waypoint.water", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(CruiserPoint1, function()
		CreateCruiserPoint1()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateCruiserPoint2 = function()
	CruiserPoint2 = Actor.Create("waypoint.water", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(CruiserPoint2, function()
		CreateCruiserPoint2()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateCruiserPoint3 = function()
	CruiserPoint3 = Actor.Create("waypoint.water", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(CruiserPoint3, function()
		CreateCruiserPoint3()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateCruiserPoint4 = function()
	CruiserPoint4 = Actor.Create("waypoint.water", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(CruiserPoint4, function()
		CreateCruiserPoint4()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateCruiserPoint5 = function()
	CruiserPoint5 = Actor.Create("waypoint.water", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(CruiserPoint5, function()
		CreateCruiserPoint5()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateCruiserPoint6 = function()
	CruiserPoint6 = Actor.Create("waypoint.water", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(CruiserPoint6, function()
		CreateCruiserPoint6()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateCruiserPoint7 = function()
	CruiserPoint7 = Actor.Create("waypoint.water", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(CruiserPoint7, function()
		CreateCruiserPoint7()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateCruiserPoint8 = function()
	CruiserPoint8 = Actor.Create("waypoint.water", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(CruiserPoint8, function()
		CreateCruiserPoint8()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------
CreateCruiserPoint9 = function()
	CruiserPoint9 = Actor.Create("waypoint.water", true, { Owner = clearpoint, Location = CPos.New(Utils.RandomInteger(MapSlippedEdgeStartHorizontical, MapSlippedEdgeOverHorizontical), Utils.RandomInteger(MapSlippedEdgeStartVertical, MapSlippedEdgeOverVertical)) })
	Trigger.OnRemovedFromWorld(CruiserPoint9, function()
		CreateCruiserPoint9()
	end)
end
--------------------------------------------------------------------------------------------------------------------------------------

